Subject: Re: bug#15325: How does gzip reads/writes data from/to the file.

From: Eric Blake <[email-masked]>
Date: Tue, 10 Sep 2013 12:15:07 -0600

tag 15325 notabug
thanks

On 09/10/2013 11:54 AM, ddun wrote:
> Hello,
> 
> I am trying to figure out what functions does gzip uses to read/write the
> data to/from the files. I saw that for error cases gzip was using *fprintf
> (stderr.. *but saw no fread/fscanf functions anywhere in the code.
> *
> *
> Can anyone point out the functions used by gzip to read/write to a file and
> in which code file are they.

Look for the lower-level read()/write() interface (Unix unbuffered file
I/O), not the higher-level fread() (C buffered file I/O).

I'm closing this as not a bug, so that it doesn't clog the bug tracker;
but feel free to continue to respond as you have other questions.

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org